Name:           tommyds
Summary:        High performance C library for hashtables and tries
Version:        1.8
Release:        1%{?dist}
License:        BSD
Group:          System Environment/Libraries
URL:            http://tommyds.sourceforge.net/
Source0:        http://downloads.sourceforge.net/tommyds/tommyds-%{version}.tar.gz
# Patches to build tommyds as a shared library
# Emailed to upstream on 20-Apr-2014
Patch1:         tommyds-1.8-sharedlib.patch
Patch2:         tommyds-1.8-missinginc.patch

%description
TommyDS is a C library of hashtables and tries designed to store
objects with high performance.  It's faster than all the similar
libraries like rbtree, judy, googledensehash, googlebtree, stxbtree,
khash, uthash, nedtrie, judyarray and others.

%package devel
Summary:        Development files for tommyds
Group:          System Environment/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files necessary to develop applications that use tommyds.

%prep
%setup -q
%patch -P 1 -p1 -b .sharedlib
%patch -P 2 -p1 -b .missinginc

%build
make CFLAGS="%{optflags} -fPIC" %{?_smp_mflags} sharedlib

# The upstream-supplied check requires source code of other packages.
#%check
#make check

%install
install -d -m 755 %{buildroot}%{_libdir}
install -p -m 755 libtommyds.so.1.0 %{buildroot}%{_libdir}
ln -s libtommyds.so.1.0 %{buildroot}%{_libdir}/libtommyds.so.1
ln -s libtommyds.so.1.0 %{buildroot}%{_libdir}/libtommyds.so

install -d -m 755 %{buildroot}%{_includedir}/tommyds
install -p -m 644 tommy*.h %{buildroot}%{_includedir}/tommyds

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS HISTORY INSTALL LICENSE README
%{_libdir}/libtommyds.so.1.0
%{_libdir}/libtommyds.so.1

%files devel
%{_includedir}/tommyds
%{_libdir}/libtommyds.so

%changelog
* Sun Apr 20 2014 Eric Smith <brouhaha@fedoraproject.org> - 1.8-1
- Initial version
